> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# batchGetTokenMetadata

Batch get token metadata

> **Group:** Onchain APIs

Use this when you need: **Batch get token metadata**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.batchGetTokenMetadata({
  networks: "example", // Comma-separated list of blockchain networks. Each value must be a valid network (ethereum, optimism, base, arbitrum, robinhood).
  addresses: "example", // Comma-separated list of token contract addresses corresponding to each network
});
console.log(res);
```

## Parameters

| Parameter   | Type     | Required | Description                                                                                                                      |
| ----------- | -------- | :------: | -------------------------------------------------------------------------------------------------------------------------------- |
| `networks`  | `string` |     ✅    | Comma-separated list of blockchain networks. Each value must be a valid network (ethereum, optimism, base, arbitrum, robinhood). |
| `addresses` | `string` |     ✅    | Comma-separated list of token contract addresses corresponding to each network                                                   |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.batchGetTokenMetadata({
    networks: "example",
    addresses: "example"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [batchGetTokenMetadata](/reference/batch-get-token-metadata)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [Batch get token metadata](/reference/batch-get-token-metadata.md)
- [Get token metadata](/reference/get-token-metadata.md)
- [getTokenMetadata](/nodejs-sdk/onchain-apis/getTokenMetadata.md)
- [Send fungibles](/reference/send-fungibles-to-users.md)
- [Upload NFT token metadata](/reference/upload-token-metadata.md)
